# MediaEdge

Media connection edge

| Field               |                                                                                                               Argument | Type                                                                                                                      | Description |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------: | ------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **node**            |                    [Media](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/media/README.md) |                                                                                                                           |             |
| **id**              |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The id of the connection                                                                                                  |             |
| **relationType**    |      [MediaRelation](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/mediarelation/README.md) | The type of relation to the parent model                                                                                  |             |
| version             |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | Provide 2 to use new version 2 of relation enum                                                                           |             |
| **isMainStudio**    |               [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md)! | If the studio is the main animation studio of the media (For Studio->MediaConnection field only)                          |             |
| **characters**      |         \[[Character](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/character/README.md)] | The characters in the media voiced by the parent actor                                                                    |             |
| **characterRole**   |      [CharacterRole](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/characterrole/README.md) | The characters role in the media                                                                                          |             |
| **characterName**   |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Media specific character name                                                                                             |             |
| **roleNotes**       |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Notes regarding the VA's role for the character                                                                           |             |
| **dubGroup**        |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Used for grouping roles where multiple dubs exist for the same language. Either dubbing company name or language variant. |             |
| **staffRole**       |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The role of the staff member in the production of the media                                                               |             |
| **voiceActors**     |                 \[[Staff](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/staff/README.md)] | The voice actors of the character                                                                                         |             |
| language            |      [StaffLanguage](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/stafflanguage/README.md) |                                                                                                                           |             |
| sort                |           \[[StaffSort](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/staffsort/README.md)] |                                                                                                                           |             |
| **voiceActorRoles** | \[[StaffRoleType](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/staffroletype/README.md)] | The voice actors of the character with role date                                                                          |             |
| language            |      [StaffLanguage](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/stafflanguage/README.md) |                                                                                                                           |             |
| sort                |           \[[StaffSort](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/staffsort/README.md)] |                                                                                                                           |             |
| **favouriteOrder**  |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The order the media should be displayed from the users favourites                                                         |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/mediaedge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
